org.apache.poi.hssf.record

## Class FtCfSubRecord

- java.lang.Object
- - org.apache.poi.hssf.record.SubRecord
  - - org.apache.poi.hssf.record.FtCfSubRecord

- All Implemented Interfaces:
    Duplicatable

      public final class FtCfSubRecord
      extends SubRecord

  The FtCf structure specifies the clipboard format of the picture-type Obj record containing this FtCf.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static short` | `BITMAP_BIT` Specifies the format of the picture is a bitmap.
    `static short` | `length`
    `static short` | `METAFILE_BIT` Specifies the format of the picture is an enhanced metafile.
    `static short` | `sid`
    `static short` | `UNSPECIFIED_BIT` Specifies the picture is in an unspecified format that is neither and enhanced metafile nor a bitmap.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `FtCfSubRecord()` Construct a new `FtPioGrbitSubRecord` and fill its data with the default values
    `FtCfSubRecord(FtCfSubRecord other)`
    `FtCfSubRecord(LittleEndianInput in, int size)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `FtCfSubRecord` | `clone()` Deprecated.
    `FtCfSubRecord` | `copy()`
    `protected int` | `getDataSize()`
    `short` | `getFlags()`
    `short` | `getSid()`
    `void` | `serialize(LittleEndianOutput out)` Serialize the record data into the supplied array of bytes
    `void` | `setFlags(short flags)`
    `java.lang.String` | `toString()` Convert this record to string.

    - ### Methods inherited from class org.apache.poi.hssf.record.SubRecord

      `createSubRecord, isTerminating, serialize`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### sid

          public static final short sid

      See Also:
        Constant Field Values

    - #### length

          public static final short length

      See Also:
        Constant Field Values

    - #### METAFILE_BIT

          public static final short METAFILE_BIT

      Specifies the format of the picture is an enhanced metafile.
      See Also:
        Constant Field Values

    - #### BITMAP_BIT

          public static final short BITMAP_BIT

      Specifies the format of the picture is a bitmap.
      See Also:
        Constant Field Values

    - #### UNSPECIFIED_BIT

          public static final short UNSPECIFIED_BIT

      Specifies the picture is in an unspecified format that is neither and enhanced metafile nor a bitmap.
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### FtCfSubRecord

          public FtCfSubRecord()

      Construct a new `FtPioGrbitSubRecord` and fill its data with the default values

    - #### FtCfSubRecord

          public FtCfSubRecord(FtCfSubRecord other)

    - #### FtCfSubRecord

          public FtCfSubRecord(LittleEndianInput in,
                               int size)

  - ### Method Detail

    - #### toString

          public java.lang.String toString()

      Convert this record to string. Used by BiffViewer and other utilities.
      Overrides:
        `toString` in class `java.lang.Object`

    - #### serialize

          public void serialize(LittleEndianOutput out)

      Serialize the record data into the supplied array of bytes
      Specified by:
        `serialize` in class `SubRecord`
      Parameters:
        `out` - the stream to serialize into

    - #### getDataSize

          protected int getDataSize()

      Specified by:
        `getDataSize` in class `SubRecord`
      Returns:
        the size of the data for this record (which is always 4 bytes less than the total record size). Note however, that ushort encoded after the record sid is usually but not always the data size.

    - #### getSid

          public short getSid()

      Returns:
        id of this record.

    - #### clone

          @Deprecated
           @Removal(version="5.0.0")
          public FtCfSubRecord clone()

      Deprecated.
      Specified by:
        `clone` in class `SubRecord`

    - #### copy

          public FtCfSubRecord copy()

      Specified by:
        `copy` in interface `Duplicatable`
      Specified by:
        `copy` in class `SubRecord`
      Returns:
        a deep copy of the implementing class / instance

    - #### getFlags

          public short getFlags()

    - #### setFlags

          public void setFlags(short flags)

Copyright 2020 The Apache Software Foundation or its licensors, as applicable.